Show notification
curl --request GET \
--url https://{host}/v1/me/notifications/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{host}/v1/me/notifications/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/v1/me/notifications/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}import requests
url = "https://{host}/v1/me/notifications/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"type": "notifications",
"id": "9f1c2b7e-4a3d-4f11-8c2a-1b6d5e0f7a92",
"attributes": {
"category": "offers",
"event": "proposal_received",
"title": "€ 12.000 for Submariner Date",
"body": "Amsterdam Watch Co sent you a price. It stands for 48 hours.",
"route": {
"type": "offers",
"event": "proposal_received",
"notificationId": "9f1c2b7e-4a3d-4f11-8c2a-1b6d5e0f7a92",
"conversationId": "16916",
"messageId": "71405",
"watchId": "223897"
},
"unread": false,
"createdAt": "2026-09-26T05:41:12.000000Z",
"readAt": "2026-09-26T05:44:02.000000Z"
},
"links": {
"self": "https://api.wristler.eu/v1/me/notifications/9f1c2b7e-4a3d-4f11-8c2a-1b6d5e0f7a92"
}
}
}{
"errors": [
{
"status": "404",
"code": "watch_reserved",
"title": "Not Found",
"detail": "<string>",
"meta": {},
"source": {
"pointer": "/data/attributes/reference",
"parameter": "<string>"
}
}
],
"jsonapi": {
"version": "1.0"
}
}Account (Notifications)
Show notification
Scope: account:read
Somebody else’s answers 404, not 403: what a person has been told is not a thing to
confirm to a stranger.
GET
/
v1
/
me
/
notifications
/
{id}
Show notification
curl --request GET \
--url https://{host}/v1/me/notifications/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{host}/v1/me/notifications/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/v1/me/notifications/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}import requests
url = "https://{host}/v1/me/notifications/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"type": "notifications",
"id": "9f1c2b7e-4a3d-4f11-8c2a-1b6d5e0f7a92",
"attributes": {
"category": "offers",
"event": "proposal_received",
"title": "€ 12.000 for Submariner Date",
"body": "Amsterdam Watch Co sent you a price. It stands for 48 hours.",
"route": {
"type": "offers",
"event": "proposal_received",
"notificationId": "9f1c2b7e-4a3d-4f11-8c2a-1b6d5e0f7a92",
"conversationId": "16916",
"messageId": "71405",
"watchId": "223897"
},
"unread": false,
"createdAt": "2026-09-26T05:41:12.000000Z",
"readAt": "2026-09-26T05:44:02.000000Z"
},
"links": {
"self": "https://api.wristler.eu/v1/me/notifications/9f1c2b7e-4a3d-4f11-8c2a-1b6d5e0f7a92"
}
}
}{
"errors": [
{
"status": "404",
"code": "watch_reserved",
"title": "Not Found",
"detail": "<string>",
"meta": {},
"source": {
"pointer": "/data/attributes/reference",
"parameter": "<string>"
}
}
],
"jsonapi": {
"version": "1.0"
}
}Authorizations
oauth2bearerAuth